# Uses of Interface
org.jboss.modules.IterableLocalLoader

Packages that use IterableLocalLoader
Package
Description
org.jboss.modules
The primary JBoss Modules API.

## Uses of IterableLocalLoader in org.jboss.modules

Methods in org.jboss.modules that return IterableLocalLoader
Modifier and Type
Method
Description
`static IterableLocalLoader`
LocalLoaders.`createIterableClassFilteredLocalLoader(ClassFilter classFilter, IterableLocalLoader originalLoader)`
Create a filtered local loader.
`static IterableLocalLoader`
LocalLoaders.`createIterableFilteredLocalLoader(ClassFilter classFilter, PathFilter resourcePathFilter, IterableLocalLoader originalLoader)`
Create a filtered local loader.
`static IterableLocalLoader`
LocalLoaders.`createIterablePathFilteredLocalLoader(PathFilter pathFilter, IterableLocalLoader originalLoader)`
Create a filtered local loader.
Methods in org.jboss.modules with parameters of type IterableLocalLoader
Modifier and Type
Method
Description
`static IterableLocalLoader`
LocalLoaders.`createIterableClassFilteredLocalLoader(ClassFilter classFilter, IterableLocalLoader originalLoader)`
Create a filtered local loader.
`static IterableLocalLoader`
LocalLoaders.`createIterableFilteredLocalLoader(ClassFilter classFilter, PathFilter resourcePathFilter, IterableLocalLoader originalLoader)`
Create a filtered local loader.
`static IterableLocalLoader`
LocalLoaders.`createIterablePathFilteredLocalLoader(PathFilter pathFilter, IterableLocalLoader originalLoader)`
Create a filtered local loader.